
QGIS Application - Feature request #2442

Enhanced constraint violation error dialog while saving edits

2010-02-12 11:13 AM - Sfkeller -

Status: Open

Priority: Low

Assignee:

Category: Data Provider

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 12502

Description

Let's assume that before hand some constraints in the database - say not null, uniqueness, etc. - or even topology rules have been

entered. Then the user captures some features with their geometry and a probably incomplete attribute values.

When leaving edit mode (or just issueing a validataion check-dialog) a modal dialog currently says that a number of constraints have been

violated. There’s currently no chance to find out which features could be the cause.

Thus an enhanced modal dialog is proposed with a list of errors: every line indicates the feature id and a constraint violation text. When

clicking on a line in the the dialog, the respective feature is highlighted and one can change to edit mode efficiently.

History

#1 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-04-18 01:01 AM - Jürgen Fischer

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

#4 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
